// ignore_for_file: non_constant_identifier_names

class CoinData {
  final String _name;

  final String _symbol;

  final String _image;

  final num _current_price;

  final num _market_cap;

  final num _market_cap_rank;

  final num? _fully_diluted_valuation;

  final num? _market_cap_change_24h;

  final num? _market_cap_change_percentage_24h;

  final num _ath_change_percentage;

  final num? _high_24h;

  final num? _low_24h;

  String get symbol => _symbol;

  String get name => _name;

  String get image =>  _image;

  num get current_price => _current_price;

  num get market_cap => _market_cap;

  num get market_cap_rank => _market_cap_rank;

  num? get fully_diluted_valuation => _fully_diluted_valuation;

  num? get market_cap_change_24h => _market_cap_change_24h;

  num? get market_cap_change_percentage_24h => _market_cap_change_percentage_24h;

  num get ath_change_percentage => _ath_change_percentage;

  num? get high_24h => _high_24h;

  num? get low_24h => _low_24h;

  CoinData({
    required String name,
    required String symbol,
    required String image,
    required num current_price,
    required num market_cap,
    required num market_cap_rank,
    required num? fully_diluted_valuation,
    required num? market_cap_change_24h,
    required num ath_change_percentage,
    required num? market_cap_change_percentage_24h,
    required num? high_24h,
    required num? low_24h
  }): 
    _name = name,
    _low_24h = low_24h,
    _high_24h = high_24h,
    _image = image,
    _ath_change_percentage = ath_change_percentage,
    _market_cap_change_percentage_24h = market_cap_change_percentage_24h,
    _market_cap_change_24h = market_cap_change_24h,
    _fully_diluted_valuation = fully_diluted_valuation,
    _market_cap_rank = market_cap_rank,
    _market_cap = market_cap,
    _current_price = current_price,
    _symbol = symbol;
}